The officially official Devuan Forum!

You are not logged in.

#1 2020-05-10 22:41:21

ve1drg
Member
Registered: 2020-04-29
Posts: 26  

emacs on ASCII

I installed emacs on ascii,  which was a new installation  and I see the following error when I use it.  I am still able to use it. But wondering how to fix this error?

(emacs:15478): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Offline

#2 2020-05-11 07:45:13

ToxicExMachina
Member
Registered: 2019-03-11
Posts: 206  

Re: emacs on ASCII

I suggest to install emacs-lucid instead of emacs-gtk. It won't solve entire problem because you have to install some of additional packages but it will solve the problem in case of GNU Emacs because GTK based GUI is trash.

Last edited by ToxicExMachina (2020-05-11 07:47:24)

Offline

#3 2020-05-11 14:41:23

ve1drg
Member
Registered: 2020-04-29
Posts: 26  

Re: emacs on ASCII

Thanks for the tip on Emacs.

I dont have the lucid version on the apt-get update system.  So I removed what I had and installed everything over.  This time I chose emacs in the search list and nothing more and it went on fine and now I have no errors.

Thanks for the tip.  As things are good now.

Offline

#4 2020-05-15 08:50:48

ToxicExMachina
Member
Registered: 2019-03-11
Posts: 206  

Re: emacs on ASCII

ve1drg wrote:

Thanks for the tip on Emacs.

I dont have the lucid version on the apt-get update system.  So I removed what I had and installed everything over.  This time I chose emacs in the search list and nothing more and it went on fine and now I have no errors.

Thanks for the tip.  As things are good now.

Looks like it was a problem with repos because according to apt-get there is emacs-lucid in the Ceres repo:

$ apt-cache search emacs-lucid
emacs-lucid - GNU Emacs editor (with Lucid GUI support)

I suspect you just couldn't get necessary packages, especially the ones related to d-bus and GTK. I think that was the reason why you had a problem with GTK UI for Emacs.

Last edited by ToxicExMachina (2020-05-15 08:51:23)

Offline

Board footer